As you may have heard, Google is deprecating GCM finally on May 29, 2019. If you are using the PushBots SDK you must upgrade to the latest versions that use FCM instead of GCM to make sure your apps are compatible. 

Here are the instructions on how to do so using PushBots SDK.

Native SDK

1. open build.gradle, remove this line:

implementation ‘com.google.android.gms:play-services-gcm:12.*’


2. Update android SDK to 3.2.8:

implementation 'com.google.firebase:firebase-messaging:17.0.0'
implementation 'com.pushbots:pushbots-lib:3.2.8@aar'

Cordova

Upgrade plugin to 1.6.10.

Run this in your terminal in your project folder

cordova plugin update pushbots-cordova-plugin

React native

Upgrade plugin to 1.1.5.

Run this in your terminal in your project folder

npm install pushbots-react-native --save && npm install

Phonegap build

Upgrade plugin in config.xml to 1.6.10

<gap:plugin name="pushbots-cordova-plugin" spec="1.6.10" source="npm" />
Did this answer your question?